﻿#tdia-launcher {
    position: fixed;
    bottom: 16px;
    right: 16px;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    background-color: #257226;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
    transition: transform 0.2s ease, opacity 0.2s ease;

    &:hover {
        transform: scale(1.1);
    }

    & img {
        width: 24px;
        height: 24px;
    }
}

body.tdia-open #tdia-launcher {
    width: 1px !important;
    height: 1px !important;
    opacity: 0 !important;
    pointer-events: none !important;
    transform: scale(0.01) !important;
    visibility: hidden !important;
}

/* janela principal */
#tdia-window {
    position: fixed;
    bottom: 16px;
    right: 16px;
    width: 360px;
    height: 480px;
    background-color: #fff;
    border-radius: 16px;
    box-shadow: 0 6px 16px rgba(0, 0, 0, 0.3);
    display: flex;
    flex-direction: column;
    overflow: hidden;
    z-index: 10000;
    transition: all 0.3s ease;
}

/* cabeçalho */
#tdia-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px 16px;
    background-color: #FFF;
    border-bottom: solid 1px #efefef;
    color: #257226;
    font-weight: 700;
    text-transform: uppercase;
}

#tdia-close {
    background: none;
    border: none;
    color: grey;
    font-size: 20px;
    cursor: pointer;
    font-weight: bold;
    padding: 0 !important;
    min-width: unset;

    &:hover {
        background: transparent !important;
        color: #257226 !important;
    }
}

/* área de mensagens */
#tdia-messages {
    flex: 1;
    padding: 12px;
    overflow-y: auto;
    background-color: #f7f9fb;
}

.message {
    margin-bottom: 10px;
    padding: 8px 12px;
    border-radius: 12px;
    max-width: 85%;
    word-wrap: break-word;
    line-height: 1.4em;
}

    .message.user {
        width: fit-content;
        min-width: 15px;
        margin-left: auto;
        background-color: #257226;
        color: #fff;
    }

    .message.bot {
        background-color: #e5e9f0;
        color: #333;
        margin-right: auto;
    }

/* área de entrada */
#tdia-input-area {
    display: flex;
    border-top: 1px solid #ccc;
    background: #f0f2f5;
}

#tdia-input {
    flex: 1;
    margin: 0 0 4px;
    padding: 8px 12px;
    border: none;
    outline: none;
    font-size: 13px;
    max-height: 54px;
    background: transparent;
}

#tdia-send {
    padding: 0 24px;
    background-color: #257226;
    border: none;
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    cursor: pointer;
    transition: background 0.2s ease;
}

#tdia-send:hover {
    background-color: #005fa3;
}

